﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub WR6100 (1 yr) BW VER IEEE /9500
DATE:                  2007-10-03 07:54:56
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       235
CONFIGURATION:         Datron 9500 (G1)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        WaveRunner 6100
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Global Variables Used:
#
#    @Chan
#      This register specifies which channel of the WaveRunner 6000 series
#      oscilloscope is currently being tested.
#        @Chan = 1 (Channel 1)
#        @Chan = 2 (Channel 2)
#        @Chan = 3 (Channel 3)
#        @Chan = 4 (Channel 4)
#        @Chan = 5 (EXT input)
#
#    @NumChan
#      This register specifies the number of channels the WaveRunner 6000
#      series oscilloscope has.
#
#    @Ch1 - @Ch2
#      Trace On/Off information as determined in sub, "Sub WaveRunner 6000
#      Select Channel".
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following 9500 statement is only present to force the 9500
# CONFIGURATION: line to include the "S6" (9500/600) attribute.
  1.001  IF           0
  1.002  9500         1000MH                       1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-                              U

  1.005  RSLT         =
  1.006  RSLT         =Channel [V @Chan]
  1.007  RSLT         =
  1.008  TARGET
  1.009  IEEE2        PACL;C1:TRA [V @Ch1];C2:TRA [V @Ch2]

  1.010  IF           @NumChan == 4
  1.011  IEEE2        C3:TRA [V @Ch3];C4:TRA [V @Ch4]
  1.012  ENDIF

  1.013  IEEE2        C[V @Chan]:CPL D50;OFST 0V
# Trigger Select, Edge, Source, <selected channel>, Trig Slope, +, DC.
  1.014  MATH         L[1] = @Chan
  1.015  IEEE2        TRSE EDGE,SR,C[L1];C[L1]:TRSL POS;TRCP DC;TRLV 0V
# Trigger Mode to Auto.
  1.016  IEEE2        TRMD AUTO
# Sample size to 100k
  1.017  IEEE2        MSIZ 100K
# Set Up Reading Used.
  1.018  IEEE2        CRMS CUST
# Set UUT "Cursor Measure" to "Custom," turn parameter STATistics on.
  1.019  IEEE2        CRMS CUST,STAT
# Clear all current parameter data.
  1.020  IEEE2        PACL
# Parameter Custom, column 1, standard deviation.
  1.021  IEEE2        PACU 1,PKPK,C[V @Chan]
# Begin 10 mV/div bandwidth tests...
  1.022  HEAD         CH[V @Chan] BANDWIDTH TEST: {10 mV/div}
# Set UUT trigger source to line.
  1.023  IEEE2        TRSE EDGE,SR,LINE
# Set UUT time/div. to 50 ns.
  1.024  IEEE2        TDIV 50e-9
# Set UUT specified channel to 10mV/div.
  1.025  IEEE2        C[V @Chan]:VDIV 10e-3
# Establish nominal (mVpp) value; place in MEM for use in next 9500 FSC.
  1.026  MATH         VppNom = 60 ; MEM = VppNom

# Loop to adjust 9500 until 60 mVpp value obtained on UUT.
  1.027  DO
# Initialize 9500 output at nominal value (in MEM).
  1.028  9500         mVpp                         10MH           LS    S  L
# Following execution of 9500 statement, copy programmed output to Vpp.
  1.029  MATH         Vpp = MEM1
# Clear sweeps and start measurement sequence in UUT.
  1.030  IEEE2        CLSW
  1.031  WAIT         -t 3 Adjusting 9500 output for 6 division reference...
# Query UUT measured RMS value.
  1.032  IEEE         PAVA? PKPK[I$]
# Extract RMS value and convert to mVpp.
  1.033  MATH         VppMeas = FLD(MEM2, 2, ",") / 1E-3
# Subtract measured from nominal value; Add nominal to compute new value.
  1.034  MATH         MEM = VppNom + (Vpp - VppMeas)
# If measured value is within 0.2 mV of desired (60 mVpp), continue with test.
  1.035  UNTIL        ABS(VppNom - VppMeas) <= 1

  1.036  HEAD         CH[V @Chan] BANDWIDTH TEST (10 mV/div) @ 1000.1 MHz
  1.037  TARGET       -p
# Set calibrator output to reference voltage set above.
  1.038  MATH         MEM = Vpp
  1.039  9500         mVpp                         1000.1MH       LS    S  L
# Clear sweeps to begin taking measurements.
  1.040  IEEE2        CLSW
# Wait 3 seconds to allow UUT to gather measurements.
  1.041  WAIT         -t 3 Making UUT Bandwidth measurements...
# Query UUT parameter statistics, average value.
  1.042  IEEE         PAVA? PKPK[I$]
# Delay to ensure bus transaction completed.
  1.043  WAIT         [D500]
# Parse numeric data from returned string and convert from Vrms to mVpp.
  1.044  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
# Calculate ratio of value at bandwidth tested and convert to dB, and format.
  1.045  MATH         MEM2 = FMT(20 * LOG(MEM / Vpp), "%3.1f")
# If computed dB value >= -3, pass; display value in results.
  1.046  EVAL   -e (MEM2 >= -3) :[32][MEM2] dB @ 1000.1 MHz

# Begin 50 mV/div bandwidth tests...
  2.001  RSLT         =
  2.002  HEAD         CH[V @Chan] BANDWIDTH TEST: {50 mV/div}
  2.003  TARGET
  2.004  IEEE2        C[V @Chan]:VDIV 50e-3
  2.005  MATH         VppNom = 300 ; MEM = VppNom

  2.006  DO
  2.007  9500         mVpp                         10MH           LS    S  L
  2.008  MATH         Vpp = MEM1
  2.009  IEEE2        CLSW
  2.010  WAIT         -t 3 Adjusting 9500 output for 6 division reference...
  2.011  IEEE         PAVA? PKPK[I$]
  2.012  WAIT         [D500]
  2.013  MATH         VppMeas = FLD(MEM2, 2, ",") / 1E-3
  2.014  MATH         MEM = VppNom + (Vpp - VppMeas)
  2.015  UNTIL        ABS(VppNom - VppMeas) <= 5

  2.016  HEAD         CH[V @Chan] BANDWIDTH TEST (50 mV/div) @ 1000.1 MHz
  2.017  TARGET       -p
  2.018  MATH         MEM = Vpp
  2.019  9500         mVpp                         1000.1MH       LS    S  L
  2.020  IEEE2        CLSW
  2.021  WAIT         -t 3 Making UUT Bandwidth measurements...
  2.022  IEEE         PAVA? PKPK[I$]
  2.023  WAIT         [D500]
  2.024  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  2.025  MATH         MEM2 = FMT(20 * LOG(MEM / Vpp), "%3.1f")
  2.026  EVAL   -e (MEM2 >= -3) :[32][MEM2] dB @ 1000.1 MHz

# Begin 100 mV/div bandwidth tests...
  3.001  RSLT         =
  3.002  HEAD         CH[V @Chan] BANDWIDTH TEST: {100 mV/div}
  3.003  TARGET
  3.004  IEEE2        C[V @Chan]:VDIV 100e-3
  3.005  MATH         VppNom = 600 ; MEM = VppNom

  3.006  DO
  3.007  9500         mVpp                         10MH           LS    S  L
  3.008  MATH         Vpp = MEM1
  3.009  IEEE2        CLSW
  3.010  WAIT         -t 3 Adjusting 9500 output for 6 division reference...
  3.011  IEEE         PAVA? PKPK[I$]
  3.012  WAIT         [D500]
  3.013  MATH         VppMeas = FLD(MEM2, 2, ",") / 1E-3
  3.014  MATH         MEM = VppNom + (Vpp - VppMeas)
  3.015  UNTIL        ABS(VppNom - VppMeas) <= 10

  3.016  HEAD         CH[V @Chan] BANDWIDTH TEST (100 mV/div) @ 1000.1 MHz
  3.017  TARGET       -p
  3.018  MATH         MEM = Vpp
  3.019  9500         mVpp                         1000.1MH       LS    S  L
  3.020  IEEE2        CLSW
  3.021  WAIT         -t 3 Making UUT Bandwidth measurements...
  3.022  IEEE         PAVA? PKPK[I$]
  3.023  WAIT         [D500]
  3.024  MATH         MEM = FLD(MEM2, 2, ",") / 1E-3
  3.025  MATH         MEM2 = FMT(20 * LOG(MEM / Vpp), "%3.1f")
  3.026  EVAL   -e (MEM2 >= -3) :[32][MEM2] dB @ 1000.1 MHz

# Begin 1 V/div bandwidth tests...
  4.001  RSLT         =
  4.002  HEAD         CH[V @Chan] BANDWIDTH TEST: {1 V/div}
  4.003  TARGET
  4.004  IEEE2        C[V @Chan]:VDIV 1
  4.005  MATH         VppNom = 3.2 ; MEM = VppNom

  4.006  DO
  4.007  9500         Vpp                          10MH           LS    S  L
  4.008  MATH         Vpp = MEM1
  4.009  IEEE2        CLSW
  4.010  WAIT         -t 3 Adjusting 9500 output for 3.2 division reference...
  4.011  IEEE         PAVA? PKPK[I$]
  4.012  WAIT         [D500]
  4.013  MATH         VppMeas = FLD(MEM2, 2, ",")
  4.014  MATH         MEM = VppNom + (Vpp - VppMeas)
  4.015  UNTIL        ABS(VppNom - VppMeas) <= 100E-3

  4.016  HEAD         CH[V @Chan] BANDWIDTH TEST (1 V/div) @ 1000.1 MHz
  4.017  TARGET       -p
  4.018  MATH         MEM = Vpp
  4.019  9500         Vpp                          1000.1MH       LS    S  L
  4.020  IEEE2        CLSW
  4.021  WAIT         -t 3 Making UUT Bandwidth measurements...
  4.022  IEEE         PAVA? PKPK[I$]
  4.023  WAIT         [D500]
  4.024  MATH         MEM = FLD(MEM2, 2, ",")
  4.025  MATH         MEM2 = FMT(20 * LOG(MEM / Vpp), "%3.1f")
  4.026  EVAL   -e (MEM2 >= -3) :[32][MEM2] dB @ 1000.1 MHz

  5.001  ASK+                              U
  5.002  9500         *                                                 S
  5.003  IEEE2        *RST
  5.004  END
